
<div class="login-box">
  <div class="login-logo">
    {{config.detail.companyShortName ? config.detail.companyShortName : config.detail.company}}
  </div>
  <!-- /.login-logo -->
  <div class="card">
    <div class="card-body login-card-body">
      <p class="login-box-msg">Entre para iniciar uma nova sessão no {{config.detail.shortName ? config.detail.shortName : config.detail.name}}</p>

      <form [formGroup]="loginForm" (submit)="login()" >
        <ng-container *ngIf="contextList | async as items">
          <div *ngIf="items.length > 0" class="input-group mb-3" >
            <select formControlName="context" class="custom-select">
              <option *ngFor="let context of items" [value]="context.id">{{context.description}}</option>
            </select>
          </div>
        </ng-container>

        <div *ngIf="context" class="input-group mb-3">
          <input type="hidden" formControlName="context" [value]="context.id">
          <input type="text" class="form-control" readonly [value]="context.description">
          <div class="input-group-append">
            <div class="input-group-text">
              <span [ngClass]="classIconContext"></span>
            </div>
          </div>
        </div>
        <div class="input-group mb-3">
          <input type="email" class="form-control" placeholder="Email" formControlName="username">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-envelope"></span>
            </div>
          </div>
        </div>
        <div class="input-group mb-3">
          <input type="password" class="form-control" placeholder="Password" formControlName="password">
          <div class="input-group-append">
            <div class="input-group-text">
              <span class="fas fa-lock"></span>
            </div>
          </div>
        </div>
        <div class="row justify-content-end">
          <div class="col-4">
            <button type="submit" [disabled]="loginForm.invalid" class="btn btn-primary btn-block">Entrar</button>
          </div>
        </div>
      </form>

      <!-- div class="social-auth-links text-center mb-3">
        <p>- OR -</p>
        <a href="#" class="btn btn-block btn-primary">
          <i class="fab fa-facebook mr-2"></i> Sign in using Facebook
        </a>
        <a href="#" class="btn btn-block btn-danger">
          <i class="fab fa-google-plus mr-2"></i> Sign in using Google+
        </a>
      </div -->
      <!-- /.social-auth-links -->

      <p class="mb-1">
        <a [routerLink]="forgotPasswordRouter" >Eu esqueci minha senha</a>
      </p>
      <!-- p class="mb-0">
        <a href="register.html" class="text-center">Register a new membership</a>
      </p -->
      <template-bs-alert [dismissible]="false" style="margin-top: 20px;" ></template-bs-alert>
    </div>
    <!-- /.login-card-body -->
  </div>
</div>
<!-- /.login-box -->
